Skip to main content

Data Verification

Endpoint​

EnvironmentURL
ProductionPOST https://api.idcloud.unico.app/lists/{cpf}
SandboxPOST https://api.idcloud.uat.unico.app/lists/{cpf}
Separate endpoint by design

This endpoint is separate from the standard process creation (POST /processes/v1). It delivers a list of data — not a deterministic identity verification result.

Request​

Headers
HeaderValue
AuthorizationBearer <access_token> (see Authentication)
Path parameters
ParameterTypeRequiredDescription
cpfstringyesCPF of the person to query.
curl -X POST "https://api.idcloud.uat.unico.app/lists/12345678909" \
-H "Authorization: Bearer $TOKEN"

Response​

Root envelope
{
"id": "41c24382-36ce-4bb4-8339-352114f71f78",
"status": 3,
"lists": { }
}
FieldTypeDescription
idstring (UUID)Unique request identifier.
statusintegerProcessing status.
listsobjectMain payload with the queried data.

`lists.basicData` — Registration data
{
"basicData": {
"name": "JOAO DA SILVA",
"birthCountry": "BRASILEIRA",
"birthDate": "1990-01-01T00:00:00Z",
"gender": "M",
"motherName": "MARIA DA SILVA",
"fatherName": "",
"maritalStatus": "",
"rgNumber": "",
"rgIssuingAgency": "",
"rgStateCode": "",
"financialData": {
"incomeEstimate": "...",
"totalAssets": "..."
},
"address": {
"addressMain": "AVENIDA DO ESTADO",
"number": "123",
"complement": "ANDAR 1",
"neighborhood": "CENTRO",
"zipCode": "12345678",
"city": "SAO PAULO",
"state": "SP",
"country": "BRASIL",
"type": "WORK"
},
"email": "...",
"phone": "+554799999999",
"socialName": ""
}
}
FieldTypeDescription
namestringFull name.
birthCountrystringCountry of birth.
birthDatestring (ISO 8601)Date of birth.
genderstringGender.
motherNamestringMother's name.
fatherNamestringFather's name.
maritalStatusstringMarital status.
rgNumberstringRG number.
rgIssuingAgencystringRG issuing agency.
rgStateCodestringRG state code.
financialData.​incomeEstimatestringIncome estimate.
financialData.​totalAssetsstringTotal assets.
emailstringEmail.
phonestringPhone.
socialNamestringSocial name. May be empty when the person has no registered social name.

basicData.address:

FieldTypeDescription
addressMainstringStreet name.
numberstringNumber.
complementstringComplement.
neighborhoodstringNeighborhood.
zipCodestringZIP code.
citystringCity.
statestringState code.
countrystringCountry.
typestringAddress type (e.g., WORK).

`lists.riskData.taxIdValidation` — CPF validation
{
"taxIdValidation": {
"taxIdStatus": "REGULAR",
"taxIdStatusDate": "...",
"decease": false,
"under18": false
}
}
FieldTypeDescription
taxIdStatusstringCPF registration status.
taxIdStatusDatestringDate of the registration status.
deceasebooleanIndicates death.
under18booleanIndicates under 18 years old.

`lists.riskData.pep` — Politically Exposed Person
{
"pep": {
"isCurrentlyPep": true,
"records": [
{
"level": "1",
"jobTitle": "SENADOR",
"motive": "FEDERAL EMPLOYEE"
}
]
}
}
FieldTypeDescription
isCurrentlyPepbooleanIs currently a PEP.
recordsarrayOwn PEP records.
records[].levelstringLevel of political exposure.
records[].jobTitlestringJob title.
records[].motivestringClassification motive.

`lists.riskData.aml` — Anti-Money Laundering (Sanctions)
{
"aml": {
"isSanctioned": true,
"records": [
{
"type": "Law Enforcement",
"source": "interpol",
"standardizedType": "ARREST WARRANTS",
"endDate": "..."
}
]
}
}
FieldTypeDescription
isSanctionedbooleanIs sanctioned.
recordsarrayOwn sanctions.
records[].typestringSanction type.
records[].sourcestringSanction source.
records[].​standardizedTypestringStandardized type.
records[].endDatestringEnd date.

`lists.riskData.sportsRelationship` — Sports betting relationship
{
"sportsRelationship": {
"hasSportsRelationship": false,
"isCurrentlyAthlete": false,
"isCurrentlySportsCoach": false,
"isCurrentlySportsClubDirector": false,
"isCurrentlyReferee": false,
"isCurrentlyRelatedToFinanceMinistry": false,
"isCurrentlyBettingCompanyOwner": false,
"sportsRelationshipMotive": "",
"sportExposures": []
}
}
FieldTypeDescription
hasSportsRelationshipbooleanHas a sports relationship.
isCurrentlyAthletebooleanIs an active athlete.
isCurrentlySportsCoachbooleanIs an active coach.
isCurrentlySportsClubDirectorbooleanIs an active club director.
isCurrentlyRefereebooleanIs an active referee.
isCurrentlyRelatedToFinanceMinistrybooleanHas a relationship with the Ministry of Finance.
isCurrentlyBettingCompanyOwnerbooleanIs a betting company owner.
sportsRelationshipMotivestringRelationship motive.
sportExposuresarrayDetailed sport exposures.

sportExposures[]:

FieldTypeDescription
sportNamestringSport name.
regionstringRegion of activity.
totalRelatedEntitiesintegerTotal related entities.
relationshipLevelstringRelationship level.
endDatestringEnd date.

Error Codes​

CodeMessageDescription
99989The document is invalid.When the CPF is invalid.